import { Command, Option } from 'commander';
export class Configurer {
    constructor() {
        this.program = new Command();
        this.setupOptions();
    }
    setupOptions() {
        const version = '2.2.0';
        this.program
            .storeOptionsAsProperties(true)
            .version(version, '-v, --version')
            .allowUnknownOption()
            .option('-a, --analysis <analysis>', 'Select folder to analyse')
            .option('-o, --output <output>', 'Select folder to output')
            .addOption(new Option('-t, --theme <theme>', 'Select report theme').choices(['white', 'black']).default('white'))
            .parse(process.argv);
    }
    fetchData() {
        const opts = this.program.opts();
        const userAnalysisFolder = opts.analysis || '';
        const userOutputFolder = opts.output || '';
        const userTheme = opts.theme;
        return {
            analysisFolder: userAnalysisFolder,
            outputFolder: userOutputFolder,
            theme: userTheme
        };
    }
}
//# sourceMappingURL=configurer.js.map